@import "./variable.scss";
@import "react-toastify/dist/ReactToastify.min.css";

// printable area start

.print-section{
  display: none;
}
@page {
  margin: 1rem 1rem 1rem 3rem;
  }
  
  @media print {
    app-header, 
    app-side-bar, 
    .content-page, 
    // .row, 
    .page-header, 
    app-grid-view, 
    .main-sidebar,
    header, nav, footer, .pageTitleBg, .Membership_activityBox__sRWUj, .Footer_footerCopyright__xlZld
     {
      visibility: hidden;
      display: none !important;
    }
    .main-content.side-content {
      margin: 0px !important;
    }
    .print-section{
      display: block !important;
    }
    // #print-section {
    //   position: absolute;
    //   left: 0;
    //   top: 0;
    // }
  
    * {
      -webkit-print-color-adjust: exact !important;
      /*Chrome, Safari */
      color-adjust: exact !important;
      /*Firefox*/
    }
     .card-body.for-show-column, .filteropen, ngb-pagination {
      display: none !important;
    }
    .row-cols-md-2 > * {
        flex: 0 0 auto;
        width: 50%;
    }
    .row-cols-md-3 > * {
      flex: 0 0 auto;
      width: 33.3333333333%;
    }
    .row-cols-md-4 > * {
      flex: 0 0 auto;
      width: 25%;
    }
    .col, .row {
      page-break-inside: avoid;
    }
  
    body {
      background-color: #ffffff !important;
      // width: 100%;
      color: #000000;
      font-family: "DM Sans", sans-serif !important;
      font-size: 12px !important;
      // font-size: 14pt !important;
    }
    .header {
      background: #ffffff;
      z-index: 9999;
      position: relative;
    }
    .pdf-for {
        font-size: 18px;
    }
    .gradient {
      background-image: linear-gradient(165deg, #0463EF, #66E5FB);
      color: #fff;
      padding: 3px;
      // background-color: #0463EF;
    }
    .common-header tr td {
        background: #eb670a;
        color: #fff;
        padding: 0px 10px;
        // display: block;
    }
    .head-sep {
      border-bottom: 2px solid #000;
      margin-top: 20px;
      margin-bottom: 10px;
    }
    .header-space {
      display: none;
    }
    tfoot {
      font-size: 10px;
      // bottom: 0px;
    }
    .footer {
      background: #ffffff;
      z-index: 9999;
      position: fixed;
      bottom: 0px;
      text-align: center;
      width: 100%;
    }
    .footer-space {
      opacity: 0;
    }
    .final_amount {
      background-color: #eee;
    }
    .status {
      font-size: 14px;
      background-color: #eee;
      padding: 5px 10px;
      margin-bottom: 10px;
    }
    .address {
      margin-bottom: 10px;
    }
    .address tr td {
      font-weight: normal !important;
      font-size: 12px;
    }
    .invoice table tbody td {
      font-weight: normal !important;
      font-size: 12px;
    }
    // .invoice .invoinc-info {
    //   width: 20%;
    // }
    .invoinc-info div {
      // background-color: #eee;
      border: 1px solid #000;
      border-radius: 5px;
      height: 100%;
      padding: 5px;
      // width: 29%;
      // display: inline-block;
      margin: 0px 5px 5px 0px;
      white-space: nowrap;
      font-size: 10px;
    }
    .invoinc-info div strong {
      font-size: 12px;
    }
    table.v-top td {
      vertical-align: top !important;
    }
    table.v-bottom td {
      vertical-align: bottom !important;
    }
    .invoice-more-info div {
      // background-color: #eee;
      border: 1px solid #000;
      border-radius: 5px;
      // height: 100%;
      padding: 5px;
      // width: 17.8%;
      // display: inline-block;
      margin: 0px 0px 5px 0px;
      white-space: nowrap;
      font-size: 10px;
    }
    .invoinc-more-info div strong {
      font-size: 12px;
    }
    .invoice-info-full {
      position: relative;
    }
    .invoice-info-full div {
      // background-color: #eee;
      border: 1px solid #000;
      border-radius: 5px;
      height: 72px;
      padding: 5px;
      width: 96%;
      // display: block;
      // margin: 0px 3px 3px 0px;
      // white-space: nowrap;
      font-size: 10px;
      position: relative;
    }
    .from, .to {
      padding-right: 20px;
    }
    .irn tr td {
      white-space: normal;
      word-break: break-all;
    }
    .invoice_table {
      border-left: 1px solid #eee;
      border-top: 1px solid #eee;
    }
    .invoice_table thead tr th {
      padding: 5px 5px !important;
      vertical-align: middle;
      font-weight: bold;
      text-align: center;
      vertical-align: middle;
      // background-color: #540000;
      // color: #fff;
      background-color: #eee;
      border-right: 1px solid #eee;
      border-bottom: 1px solid #eee;
      font-size: 12px !important;
    }
    .invoice_table .space-row th {
      border: 0px;
      padding: 2px !important;
      background-color: #fff;
    }
  
    .invoice_table tbody tr td {
      padding: 5px 5px !important;
      vertical-align: middle;
      // text-align: center;
      vertical-align: top;
      font-size: 12px !important;
      font-weight: normal !important;
      line-height: 16px;
      color: #000;
      border-right: 1px solid #eee;
      // border-bottom: 1px solid #eee;
    }
  
    .invoice_table tfoot {
      border-top: 1px solid #eee;
      border-bottom: 1px solid #eee;
    }
    .invoice_table tfoot tr td {
      padding: 5px 5px !important;
      vertical-align: middle;
      // text-align: center;
      vertical-align: top;
      font-size: 12px !important;
      font-weight: normal;
      line-height: 16px;
      color: #000;
      border-right: 1px solid #eee;
      border-bottom: 1px solid #eee;
    }
    .amount-word {
      border-right: 0px !important;
    }
    .for_recipient {
      font-size: 12px;
      font-weight: normal !important;
      font-style: italic;
    }
    .declation {
      page-break-inside: avoid;
    }
    .authorised {
      border: 1px solid #000;
      margin-top: 10px;
      padding: 5px;
      div {
        font-weight: bold;
      }
    }
  
    .nowrap {
      white-space: nowrap;
    }

    table {
        width: 100%;
    }
  
    .custom_column_grid thead tr th {
      font-weight: 800 !important;
      white-space: nowrap !important;
    }
  
    .custom_column_grid {
      border-top: 1px solid #eee;
      border-left: 1px solid #eee;
      vertical-align: top;
    }
  
    .custom_column_grid tr td:nth-child(even) {
      border-bottom: 1px solid #eee;
      border-right: 1px solid #eee;
      border-collapse: collapse;
      padding: 2px 10px;
      font-weight: normal !important;
    }
  
    .custom_column_grid tr td:nth-child(odd) {
      font-weight: 800 !important;
      // color:purple;
      white-space: nowrap !important;
      border-collapse: collapse;
      padding: 2px 10px;
    }
  
    .custom_column_grid tr td {
      border-bottom: 1px solid #eee;
      font-size: 12px !important;
      line-height: 22px;
      // white-space: nowrap !important;
    }
  
    // .custom_column_grid tr:last-child {
    //   // border-bottom:1px solid orangered !important;
  
    //   // white-space: nowrap !important;
    // }
  
    .custom_column_grid table tr td {
      border: 0px !important;
    }
  
    .custom_column_grid_td_brdr_left {
      border-left: 1px solid #eee;
    }
  
    .pdfView {
      background-color: #fff;
    }
  
    strong {
      font-weight: bold;
    }
  
    .section_heading {
      // text-decoration: underline;
      font-size: 24px !important;
      font-weight: bold !important;
      text-transform: uppercase;
      padding-top: 2px;
      padding-bottom: 2px;
      text-decoration: none;
      background-color: #548dd4;
      color: #fff;
      text-align: center;
      margin: 0px 0px 10px 0px;
    }
  
    .section_heading strong {
      font-weight: bold !important;
    }

  
    .section_heading_2 {
      // text-decoration: underline;
      font-size: 18px !important;
      font-weight: bold !important;
      text-transform: uppercase;
      padding-top: 0px;
      padding-bottom: 0px;
      text-decoration: none;
      // background-color: #548dd4;
      color: #540000;
      text-align: center;
      margin: 0px 0px 10px 0px;
    }
  
    .section_heading_2 strong {
      font-weight: bold !important;
    }
  
    .main_header_title {
      font-size: 18px;
      line-height: 10px;
      vertical-align: middle;
      // padding: 5px 10px;
      text-align: right;
      // color: #540000;
    }
    .header-info {
      font-size: 12px;
      // margin-top: 5px;
    }
    .fixed-header-grid .table thead tr th::before {
      display: none !important;
    }
    .fixed-header-grid .table thead tr th {
      border-bottom: 0px solid #fff !important;
      padding: 10px 10px !important;
    }
  
    .company_logo {
        height: 70px;
      }
      .client_logo {
        height: 70px;
      }
    .table.bordered {
      border: 1px solid #000;
      font-size: 12px;
    }
    .table.bordered td {
      border: 1px solid #000;
      padding: 7px 10px;
      color: #000;
    }
  
    .main_header_short_info tr td {
      background-color: #055c53;
      // color: #fff;
      text-align: center;
      font-size: 18px;
      vertical-align: middle;
      padding: 5px 10px;
      font-weight: normal !important;
      text-decoration: none;
      // align="left" bgcolor="#f5f5f5" style="font-size: 16px; line-height: 10px;font-family:Arial, Helvetica, sans-serif; vertical-align: middle;"
    }
  
    .main_header_short_info strong {
      font-weight: bold;
    }
  
    .main_header_short_info {
    //   border-bottom: 3px solid #25556A;
      background: #055c53;
    //   margin-bottom: 10px;
      // font-size: 14px;
    }
    
    table.custom_table thead tr th::before {
      display: none;
    }
  
    table.custom_table thead {
      background-color: #0463EF;
    }
  
    .notes_info {
      margin: 5px 0px;
    }
  
    .notes_info thead tr th {
      text-transform: capitalize;
      padding: 5px 0px;
      vertical-align: middle;
      font-weight: bold;
      font-size: 14px;
      line-height: 22px;
  
    }
  
    .notes_info tbody tr td {
      // text-transform: capitalize;
      padding: 5px 0px;
      vertical-align: middle;
      font-weight: normal !important;
      font-size: 14px;
      line-height: 18px;
    }
  
    .status_info {
      background-color: #ffffff;
      // margin-top: 10px;
    }
  
    .status_info tr td {
  
      font-weight: bold;
      text-transform: uppercase;
      padding: 5px 10px;
      vertical-align: middle;
    }
  
    .section_title tr td {
      padding: 5px 10px;
      vertical-align: middle;
      font-size: 14px !important;
      line-height: 22px;
      vertical-align: top;
      font-weight: normal !important;
    }
  
    .section_title tr:first-child td {
      // font-weight: bold !important;
      // text-transform: uppercase !important;
      // text-decoration: underline !important;
      vertical-align: top !important;
    }
  
    .section_title strong {
      font-weight: bolder;
    }
  
    .section_title strong:first-child {
      font-weight: bold;
      // font-size: 12px;
    }
  
    .section_heading u {
      font-weight: bold;
      text-transform: uppercase !important;
      // font-size: 12px;
  
    }
  
    .reference_section thead tr td {
      padding: 5px 10px !important;
      vertical-align: middle;
      font-weight: bold;
    }
  
    .reference_section strong {
      font-weight: bold !important;
    }
  
    .reference_section tbody tr td {
      padding: 5px 10px;
      vertical-align: middle;
      font-weight: normal !important;
      vertical-align: top;
  
    }
  
    // .custom_table {
    // page-break-inside: avoid;
    // width: calc(100% - 7px);
    // }
  
    // .cus_table tr td:nth-child(2) {
    //   text-align: left !important;
    //   font-size: 14px;
    // }
  
    .cus_table thead tr th {
      padding: 10px 10px !important;
      vertical-align: middle;
      font-weight: bold;
      text-align: center;
      vertical-align: middle;
      background-color: #548dd4;
      color: #fff;
      border-right: 1px solid #548dd4;
      font-size: 18px !important;
    }
    .cus_table .space-row th {
      border: 0px;
      padding: 2px !important;
      background-color: #fff;
    }
  
    .cus_table tbody tr td {
      padding: 10px 10px !important;
      vertical-align: middle;
      text-align: center;
      vertical-align: top;
      font-size: 12px !important;
      line-height: 16px;
      color: #000;
    }
    .remarks {
      font-size: 12px;
      font-style: italic;
      // font-weight: bold;
      font-weight: 100;
      text-align: center;
    }
  
    .description-col {
      width: 30%;
    }
  
    // .custom_table tbody tr td:nth-last-child(-n+2) {
    // text-align: right;
    // }
    table {
      border-collapse: collapse;
    }
  
    // table.custom_table tbody:last-child tr:last-child {
    //   border-bottom: 3px solid #25556A;
    // }
  
    table.cus_table tbody tr th {
      font-weight: bold !important;
      padding: 10px 10px !important;
    }
  
    table.cus_table tbody tr td table tbody:last-child tr:last-child {
      border-bottom: 1px solid #eee;
    }
  
    table.cus_table tr td {
      border: 1px solid #000;
      padding: 5px 10px;
      vertical-align: top;
    }
  
    table.custom_table_inner tr td table tr td {
      border: none;
      padding: 0px 0px;
      white-space: nowrap !important;
    }
  
    table.custom_table_inner tr td table tr td:nth-child(odd) {
      font-weight: bold;
      white-space: nowrap !important;
      border-collapse: collapse;
    }
  
    table.custom_table_inner tr td table tr td:nth-child(even) {
      white-space: nowrap !important;
      border-collapse: collapse;
      font-weight: normal !important;
      // text-align: right;
    }

    .totalTable {
      page-break-inside: avoid;
      tr {
        td {
          font-weight: normal !important;
        }
      }
      table {
      // background-color: #f9f9f9;
      border: 1px solid #eee;
        tr {
          &.highlight {
            background-color: #f9f9f9;
          }
          td {
            font-weight: normal !important;
            padding: 0px 10px;
          }
        }
      }
    }
  
    // .blue_top_border{
    // border-top: 3px solid #25556A;
    // }
    .mt-20 {
      margin-top: 20px;
    }
  
    .word_value {
      border-left: 0.25px solid #ddd;
      text-transform: capitalize;
    }
  
    .authorized_signatory tbody tr td strong,
    tr td {
      font-weight: bold !important;
    }
    .authorized_signatory{
      page-break-inside: avoid;
    }
    .end_note tbody tr td {
      text-transform: capitalize;
    }
    .end_note{
      page-break-inside: avoid;
    }
    .comments_section {
      padding: 5px 10px;
    }
  
    .remark_section {
      padding: 5px 10px;
      margin-top: 10px;
    }
  
    .remark_section tr td {
      padding: 5px 10px;
      font-weight: normal !important;
    }
  
    // tbody tr td {
    // text-transform: capitalize;
    // }
    .bottom-border {
      border-bottom: 1px solid #ddd;
    }
  
    .total_value_section tr:first-child td {
      border-top: 2px solid #25556a;
      border-bottom: 1px solid #ddd;
      page-break-inside: avoid;
    }
  
    .total_value_section tr:last-child {
      border-bottom: 1px solid #ddd;
    }
  
    .total_value_section tr:first-child td:last-child,
    .total_value_section tr:last-child td:last-child {
      border-right: 1px solid #ddd;
      background-color: #eee;
    }
  
    .total_value_section th:last-child,
    .total_value_section td:last-child,
    .total_value_section th:nth-last-child(2),
    .total_value_section td:nth-last-child(2) {
      background-color: #eee;
    }
  
    .total_value_section tr:first-child td:first-child,
    .total_value_section tr:last-child td:first-child {
      border-left: 1px solid #ddd;
    }
  
    .total_value_section tbody tr td p strong {
      font-weight: bold !important;
    }
  
    .total_value_section strong {
      font-weight: bold;
    }
  
    .total_value_section tbody tr td p {
      line-height: 13px !important;
    }
  
    .total_value_section {
      page-break-inside: avoid;
    }
  
    table.condition-table {
      border-spacing: 30px;
      border-collapse: separate;
    }
  
    .terms_and_condition {
      margin-top: 5px;
      width: 100%;
    }
  
    .terms_and_condition thead tr td {
      font-size: 12px;
      line-height: 18px;
      white-space: nowrap;
      vertical-align: top;
      background-color: #ccc;
      text-align: center;
    }
  
    .terms_and_condition thead tr th {
      font-size: 12px;
      line-height: 18px;
      white-space: nowrap;
      vertical-align: top;
      background-color: #25556A;
      color: #fff;
      text-align: center;
      border-left: 1px solid #fff;
    }
  
    .terms_and_condition tbody tr td {
      font-weight: normal !important;
    }
  
    .special_condition {
      margin-top: 15px;
    }
  
    .special_condition thead tr td {
      font-size: 14px;
      line-height: 18px;
      white-space: nowrap;
      background-color: #ccc;
    }
  
    ::ng-deep .special_condition tbody tr td {
      font-weight: normal !important;
    }
  
    .special_condition tbody tr td {
      font-weight: normal !important;
    }
  
    ::ng-deep .special_condition tbody tr td strong {
      font-weight: bold;
    }
    .special_condition_detail {
      padding-top: 15px;
      font-weight: normal; /*add css for special condition issue*/
    }
  
    table.custom_table tbody tr td.description-col {
      white-space: normal !important;
    }
  
    table.custom_table thead tr th {
      border-left: 1px solid #ccc;
      color: #fff;
      padding-top: 5px;
      padding-bottom: 5px;
      padding: 2px;
      font-size: 12px;
    }

    table.table_design {
      border-left: 1px solid #eee;
      border-top: 1px solid #eee;
      // margin-top: 20px;
    }
    table.table_design tr {
      page-break-inside: avoid;
    }

    table.table_design tr th {
      border-right: 1px solid #eee;
      border-bottom: 1px solid #eee;
      background-color: #eee;
      padding: 5px 10px;
      font-size: 12px;
      line-height: 16px;
    }

    table.table_design tr td {
      border-right: 1px solid #eee;
      border-bottom: 1px solid #eee;
      padding: 5px 10px;
      font-size: 12px;
      line-height: 16px;
      font-weight: normal !important;
      span {
        font-weight: bold !important;
      }
    }
  
    .cw-20 {
      width: 20% !important;
      text-align: left !important;
    }
  
    .cw-80 {
      width: 80% !important;
      text-align: left !important;
    }
  
    table.custom_table thead tr th {
      padding: 2px;
    }
  
    table.custom_table thead tr th:last-child {
      border-right: 1px solid #ccc;
    }
  
    table.custom_table tbody tr td {
      border-left: 0.25px solid #ddd;
      border-bottom: 0.25px solid #ddd;
      vertical-align: top;
      padding: 2px;
      // white-space: nowrap !important;
      font-weight: normal !important;
    }
  
    table.custom_table tbody tr td:last-child {
      /* border: 0.25px solid #ddd; */
      border-right: 0.25px solid #ddd;
    }
  
    // table.custom_table tbody tr {
    //   // page-break-inside: avoid;
    // }
  
    table.custom_table tbody tr.footer td {
      border-left: 1px solid #ccc;
      font-weight: bold;
      padding-top: 5px;
      padding-bottom: 5px;
      padding: 2px;
      border-top: 1px solid #ddd;
    }
  
    .autorized-table {
      width: 100%;
    }
  
    .authorized {
      width: 30%;
      text-align: left;
      // text-align: right;
      font-size: 14px !important;
      line-height: 18px;
      font-weight: bolder;
    }
  
    table.custom_table tbody tr td.normal {
      white-space: normal !important;
    }
  
    .end_note td {
      font-weight: normal !important;
    }
  
    table.custom_table tbody tr td.sub-table {
      padding: 0px !important;
    }
  
    .sub-table table thead tr th {
      background-color: #555;
    }
  
    .mt-10 {
      margin-top: 10px;
    }
  
    .total-bottom tr th {
      padding: 5px 10px !important;
    }
  
    .bottom_comment_section {
      border-top: 1px solid #eee;
      border-left: 1px solid #eee;
    }
  
    .bottom_comment_section>tbody>tr>td {
      border-right: 1px solid #eee;
      border-bottom: 1px solid #eee;
      vertical-align: top;
    }
  
    .bottom_comment_section>tbody>tr>td table tbody tr td {
      font-weight: normal !important;
    }
  
    .materialPI tbody table tr td {
      font-size: 14px;
    }
  
    table.cust_table.landscape tbody div.group_border+tr {
      border-top: 2px solid #25556a;
    }
  
    table.cust_table.landscape thead tr th {
      font-size: 7px !important;
      // padding: 2px 2px !important;
      line-height: 10px !important;
    }
  
    table.cust_table.landscape tbody tr td {
      font-size: 7px !important;
      padding: 2px 2px !important;
      line-height: 10px !important;
    }
  
    table.cust_table.landscape tbody tr.group_border td {
      background-color: #25556a;
      padding: 1px !important;
      border: 0px !important;
    }
  
    table.cust_table.landscape tbody tr td.seprate-left {
      border-left: 1px solid #25556a !important;
    }
  
    .fixed-header-grid table.cus_table tbody div.group_border+tr {
      border-top: 2px solid #25556a;
    }
  
    .fixed-header-grid table.cus_table thead tr th {
      font-size: 7px !important;
      padding: 8px 2px !important;
      line-height: 10px !important;
    }
  
    .fixed-header-grid table.cus_table tbody tr td {
      font-size: 7px !important;
      padding: 2px 2px !important;
      line-height: 10px !important;
    }
  
    .fixed-header-grid table.cus_table tbody tr.group_border td {
      background-color: #25556a;
      padding: 1px !important;
      border: 0px !important;
    }
  
    .fixed-header-grid table.cus_table tbody tr td.seprate-left {
      border-left: 1px solid #25556a !important;
    }
    .show_header_selection {
      display: none !important;
    }
  
    .gst_bg {
      background-color: #fff !important;
      border-left: 1px solid #eee !important;
      border-right: 1px solid #eee !important;
      border-bottom: 1px solid #eee !important;
    }
  
    .editor_text {
      font-weight: normal !important;
      font-size: 14px !important;
      line-height: 18px;
    }
  
    .landscape_header {
      font-size: 12px !important;
      line-height: 18px;
  
      .main_header_title {
        font-size: 16px !important;
        color: #540000;
      }
  
      .company_logo {
        height: 45px !important;
      }
  
      .main_header_short_info {
        tr {
          td {
            font-size: 12px !important;
          }
        }
      }
    }
  
    .landscape_page {
      font-size: 14px !important;
  
      .editor_text {
        font-size: 10px !important;
        line-height: 12px;
      }
  
      tr {
        th {
          font-size: 12px !important;
          line-height: 14px;
        }
  
        td {
          font-size: 12px !important;
          line-height: 14px;
          font-weight: normal !important;
        }
      }
  
      table {
        tr {
          th {
            padding: 2px !important;
            font-size: 12px !important;
            line-height: 12px;
          }
  
          td {
            padding: 2px !important;
            font-size: 12px !important;
            line-height: 12px;
            font-weight: normal !important;
            vertical-align: middle;
          }
        }
      }
    }
  }
  
  // printable css end
